Subject: Re: Boopsi questions
From: [email-masked] (Christoph Feck IRZ)
Date: Sun, 27 Feb 1994 05:16:16 GMT
Newsgroups: comp.sys.amiga.programmer

In article <[email-masked]>, [email-masked] (Markus Juhani Aalto) writes:
> In article <[email-masked]> [email-masked] (Dancing Fool of Epsilon) writes:
> > sounded like you were making a BOOPSI class for file handling?  I don't
> > think this is such a good idea.  All BOOPSI dispatchers must be able to
> > execute in Intuition's context, this means as a TASK, not a process. 
> 
> BOOPSI doesn't mean that it should be able to execute in Intuition's
> context. For example OM_NEW, OM_SET, OM_GET, OM_UPDATE etc.. work
> just fine in you process context. GM_**** methods are used from
> intuition directly so these aren't working in your process context.
> 
> Also file handling can be made directly with Packets which is the
> best way to do it properly anyhow. And packets can be used from
> tasks.

the file.stream subclass (of streamclass) uses packets
(for asynchronous I/O).  It still calls DOS to open/close
files though.

3k// Christoph Feck, TowerSystems
\X/ Amiga - Intuition inside.